﻿'UTF-8
Option Explicit On
Option Strict On

Public Class frmMain

    Private Sub frmMain_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        For Each d As System.IO.DriveInfo In System.IO.DriveInfo.GetDrives()
            Me.TV.Nodes.Add(d.Name, d.Name)
        Next
    End Sub

    Private Sub TV_NodeMouseClick(ByVal sender As Object, ByVal e As System.Windows.Forms.TreeNodeMouseClickEventArgs) Handles TV.NodeMouseClick
        Dim f As String
        Me.LV.Items.Clear()
        For Each f In System.IO.Directory.GetFiles(e.Node.FullPath)
            f = System.IO.Path.GetFileName(f)
            Me.LV.Items.Add(f, f, 0)
        Next
        '--------------------------------------------------
        If e.Node.Nodes.Count > 0 Then Return
        For Each f In System.IO.Directory.GetDirectories(e.Node.FullPath)
            f = System.IO.Path.GetFileName(f)
            e.Node.Nodes.Add(f, f)
        Next
    End Sub

    Private Sub LV_DoubleClick(ByVal sender As Object, ByVal e As System.EventArgs) Handles LV.DoubleClick
        Try
            If Me.LV.SelectedItems.Count <= 0 Then Return
            System.Diagnostics.Process.Start(System.IO.Path.Combine(Me.TV.SelectedNode.FullPath, Me.LV.SelectedItems(0).Name))
        Catch ex As Exception
            System.Windows.Forms.MessageBox.Show(Me, ex.Message, "Error")
        End Try
    End Sub

End Class
